player_wifi_data Struct Reference

Data: state (PLAYER_WIFI_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | links_count
| length of said list
player_wifi_link_t * | links
| A list of links.
uint32_t | throughput
| mysterious throughput calculated by driver
uint32_t | bitrate
| current bitrate of device
uint32_t | mode
| operating mode of device
uint32_t | qual_type
| Indicates type of link quality info we have.
uint32_t | maxqual
| Maximum value for quality.
uint32_t | maxlevel
| Maximum value for level.
uint32_t | maxnoise
| Maximum value for noise. More...
char | ap [32]
| MAC address of current access point/cell.

## Detailed Description

Data: state (PLAYER_WIFI_DATA_STATE)

The complete data packet format.

## Member Data Documentation

uint32_t player_wifi_data::maxnoise

Maximum value for noise.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45